Net::DNS::RR::EUI64(3)

NAME
Net::DNS::RR::EUI64 - DNS EUI64 resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name IN EUI64 address');

    $rr = new Net::DNS::RR(
        name    => 'example.com',
        type    => 'EUI64',
        address => '00-00-5e-ef-10-00-00-2a'
        );

DESCRIPTION
DNS resource records for 64-bit Extended Unique Identifier (EUI64).

The EUI64 resource record is used to represent IEEE Extended Unique Identifiers used in various layer-2 networks, ethernet for example.

EUI64 addresses SHOULD NOT be published in the public DNS. RFC7043 describes potentially severe privacy implications resulting from indiscriminate publication of link-layer addresses in the DNS.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  address The address field is a 8-octet layer-2 address in network byte order.
The presentation format is hexadecimal separated by "-".

COPYRIGHT
Copyright (c)2013 Dick Franks.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC7043